%define version	0.9.4
%define release	2.1.20060mdk

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

# require a qtimm aware qt library:
%define qt_version 3.3.4-19mdk
%define scim_version	1.4.2
%define skim_version	1.4.1

Name:		scim-qtimm
Summary:	SCIM context plugin for qt-immodule
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
License:	GPL
URL:		http://sf.net/projects/scim
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	scim   >= %{scim_version}
Requires:	%{mklibname qt 3} >= %qt_version

BuildRequires:	scim-devel >= %{scim_version}
BuildRequires:	skim-devel >= %{skim_version}
BuildRequires:	qt3-devel  >= %qt_version

Obsoletes:       libscim-qtimm
Provides:        libscim-qtimm

%description
SCIM context plugin for qt-immodule.


%prep
%setup -q

%build
[[ -f configure ]] || ./bootstrap
%define __libtoolize /bin/true
%ifarch x86_64
%configure2_5x --disable-debug --with-qt-libraries=/usr/lib/qt3/lib64/
%else
%configure2_5x --disable-debug
%endif
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}/usr/lib/qt3/plugins/inputmethods/*.la
rm -f %{buildroot}%{_libdir}/kde3/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
/usr/lib/qt3/plugins/inputmethods/*.so



%changelog
* Tue Nov 08 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.4-2.1.20060mdk
- make it installable on x86_64

* Fri Sep 09 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.4-2mdk
- fix build on x86_64 (#17867)

* Thu Aug 18 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.4-1mdk
- New release 0.9.4
	- Only use ComposeKeyFactory as fallback when ComposeKey 
		input method is enabled
	- Fixed a bug of focus ic handling

* Fri Aug 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.3-4mdk
- Fix Requires/BuildRequires

* Wed Jul 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.3-3mdk
- Last require Fix i have to sleep :)

* Wed Jul 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.3-2mdk
- Fix Scim and Skim version

* Wed Jul 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.3-1mdk
- 0.9.3
        - fixed: forward keys issues
	- crash in precompiled apps with incompatible gcc version
- package libscim-qtimm in scim-qtimm 
- Provides/Obsoletes libscim-qtimm 

* Tue May 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.9-2mdk
- factorize qt version
- kill requires-on-release

* Wed Apr 27 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.8.9-1mdk
- new release

* Tue Mar 01 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.8.5-1mdk
- new release
- change URL
- spec cleanup

* Fri Dec 03 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.7.5-2.svn089.3mdk
- fix problems on using SCIM remotely
- http://freedesktop.org/pipermail/scim/2004-October/001036.html

* Sat Sep 18 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.7.5-1mdk
- new release
- fix URL

* Tue Jul 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.1-0.r03.1mdk
- fix buildrequires
- initial spec for mdk (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
